org.apache.hadoop.yarn.server.api

## Interface DistributedSchedulingAMProtocolPB

- All Superinterfaces:
    org.apache.hadoop.yarn.proto.ApplicationMasterProtocol.ApplicationMasterProtocolService.BlockingInterface, org.apache.hadoop.yarn.api.ApplicationMasterProtocolPB, org.apache.hadoop.yarn.proto.DistributedSchedulingAMProtocol.DistributedSchedulingAMProtocolService.BlockingInterface
  All Known Implementing Classes:
    DistributedSchedulingAMProtocolPBServiceImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public interface DistributedSchedulingAMProtocolPB
      extends org.apache.hadoop.yarn.proto.DistributedSchedulingAMProtocol.DistributedSchedulingAMProtocolService.BlockingInterface, org.apache.hadoop.yarn.proto.ApplicationMasterProtocol.ApplicationMasterProtocolService.BlockingInterface, org.apache.hadoop.yarn.api.ApplicationMasterProtocolPB

- - ### Method Summary

    - ### Methods inherited from interface org.apache.hadoop.yarn.proto.DistributedSchedulingAMProtocol.DistributedSchedulingAMProtocolService.BlockingInterface

      `allocateForDistributedScheduling, finishApplicationMaster, registerApplicationMasterForDistributedScheduling`

    - ### Methods inherited from interface org.apache.hadoop.yarn.proto.ApplicationMasterProtocol.ApplicationMasterProtocolService.BlockingInterface

      `allocate, finishApplicationMaster, registerApplicationMaster`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.